Invoices
List Invoices
Lists Invoices
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Query Parameters
status?|
Filter by invoice status.
subscription_id?|
Optional filter by subscription_id.
member_id?array<>|
Filter by billed member ID. Repeat the parameter for multiple members.
page?integer
Page number
Default
1Range
1 <= valuesize?integer
Page size
Default
50Range
1 <= value <= 100Response Body
application/json
application/json
curl -X GET "https://api.members.dev/portal/v1/invoices"{
"items": [
{
"id": "string",
"short_id": "string",
"invoice_number": "INV-550",
"member_id": "string",
"status": "draft",
"due_at": null,
"amount_original": 0,
"amount_due": 0,
"currency": "string",
"lines": [
{
"id": "string",
"description": "string",
"quantity": 0,
"unit_amount": 0,
"amount": 0
}
],
"credit_note_allocations": [
{
"id": "string",
"credit_note_id": "string",
"credit_note_number": "CN-12",
"amount": 0,
"currency": "str",
"created_at": null
}
],
"payment_allocations": [
{
"id": "string",
"payment_id": "string",
"amount": 0,
"currency": "str",
"notes": "string",
"created_at": null
}
],
"subscription": {
"subscription_id": "string",
"period_starts_at": {},
"period_ends_at": {}
},
"state_transitions": {
"opened_at": {},
"past_due_at": {},
"paid_at": {},
"voided_at": {},
"deleted_at": {}
},
"next_update": {
"updates_at": null,
"update_type": "past_due"
},
"created_at": null,
"updated_at": null
}
],
"total": 0,
"page": 1,
"size": 1,
"pages": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}